View Issue Details

IDProjectCategoryView StatusLast Update
0003194FreeCADBugpublic2017-10-18 12:40
ReporterKrahazikAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformDesktop ComputerOSWindowsOS Version10 x64
Product Version0.16 
Target VersionFixed in Version0.17 
Summary0003194: Units not displaying correctly.
DescriptionThe Units setting under preferences is useless. Changing it has no effect on the program. All measurments are displayed in mm resulting in incorrect length readings of parts using other units of measurment.
Steps To ReproduceFrome the main window.
1. Select the preferences from te menu Edit > Preferences
2. Select the Units tab.
3. Change User System from Standard to anything else.
4. Click on the Apply button followed by the Ok button.
5. Abserver no changes in units of measurment within the program.
Specifically, the units displayed in the bottom left corner of the window.
Additional InformationAfter changing the measuing system to MKS (m/kg/s/degrees),
Imported a part (from a .dxf) file inwhich the measurment from one corner to the next was 1.98819 meters.
When measuring these same 2 corners within FreeCAD, the distance measured was 1.98819 mm.
The unit of measure is incorrect, and thus the distance is incorrect.
Tagsunits

Activities

Kunda1

2017-09-21 22:29

manager   ~0010149

Last edited: 2017-09-21 22:29

View 2 revisions

@Krahazik can you see the yellow box at the top of the page? The one that says:
[b]Attention bug/feature reporters[/b]. Please follow the guidelines specified there.

Krahazik

2017-09-22 19:04

reporter   ~0010151

FreeCAD Version Details
OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: releases/FreeCAD-0-16
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

Issue History

Date Modified Username Field Change
2017-09-21 16:55 Krahazik New Issue
2017-09-21 22:27 Kunda1 Tag Attached: units
2017-09-21 22:29 Kunda1 Note Added: 0010149
2017-09-21 22:29 Kunda1 Note Edited: 0010149 View Revisions
2017-09-22 19:04 Krahazik Note Added: 0010151
2017-10-18 12:40 wmayer Status new => closed
2017-10-18 12:40 wmayer Resolution open => fixed
2017-10-18 12:40 wmayer Fixed in Version => 0.17